Skip to main content
DELETE
Deletes a Project and all its associated resources.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Unique identifier for a Project created in Totoy.

Maximum string length: 28
Pattern: ^pj_[a-zA-Z0-9]{25}$

Response

OK

project_id
string
required

The unique identifier of a Project.

Maximum string length: 28
Pattern: ^pj_[a-zA-Z0-9]{25}$
Example:

"pj_avX7imfLaPcQnv5ckvGlOEBA9"

knowledge_base_ids
string[]
required

A list of knowledge_base_ids that were assigned to the Project.

Maximum array length: 1500
Maximum string length: 28
Pattern: ^kb_[a-zA-Z0-9]{25}$
Example:
source_ids
string[]
required

A list of source_ids of Sources that were assigned to the Project.

Maximum array length: 10000

Unique identifier for a Source that was assigned to the Project.

Maximum string length: 29
Pattern: ^src_[a-zA-Z0-9]{25}$
Example:
deleted
boolean
required

Indicates whether the Project, the Sources and Knowledge Bases have been successfully deleted.

Example:

true